[ Identification | Description | Input parameters | Output parameters | Links ]

# The `V_selector` Component

Velocity selector.

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: Nov 25, 1998
- Version: 1.27

## Description

    Velocity selector consisting of rotating Soller-like blades
    defining a helically twisted passage.
    Geometry defined by two identical, centered apertures at 12 o'clock
    position, Origo is at the centre of the selector (input is at -l0/2).
    Transmission is analytical assuming a continuous source.

    Example: V_selector(width=0.03, height=0.05, l0=0.30, r0=0.12, phi=42.298,
               l1=0.25, tb=0.0004, rot=20000, nb=72)
    These are values for the D11@ILL Dornier 'Dolores' Velocity Selector (NVS 023)

    %VALIDATION
    Jun 2005: extensive external test, no problems found
    Validated by: K. Lieutenant

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
width | m | Width of entry aperture | 0.03
height | m | Height of entry aperture | 0.05
l0 | m | Distance between apertures | 0.30
r0 | m | Height from aperture centre to rotation axis | 0.12
phi | deg | Twist angle along the cylinder | 48.298
l1 | m | Length of cylinder (less than l0) | 0.25
tb | m | Thickness of blades | 0.0004
rot | rpm | Cylinder rotation speed, counter-clockwise | 20000
nb | 1 | Number of Soller blades | 72

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
RPM2OM |  |  |
omega |  |  |
phi_rad |  |  |
dt0 |  |  |
dt1 |  |  |
r_i |  |  |
r_f |  |  |
r_mean |  |  |
theta_i |  |  |
theta_f |  |  |
A |  |  |
d_s_phi |  |  |

## Links

- Source code for `V_selector.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]